Name: appliance-tools
Summary: Tools for building Appliances
Version: 011.1
Release: %mkrel 1
License: GPLv2
Group: System/Base
URL: https://pagure.io/appliance-tools

Source0: https://releases.pagure.org/%{name}/%{name}-%{version}.tar.bz2

# Patches backported from upstream

# Ensure system deps are installed (rhbz#1409536)
Requires: python3-imgcreate >= 25.0-2
Requires: python3-progress
Requires: python3-future
Requires: curl rsync kpartx
Requires: zlib
Requires: qemu-img
Requires: xz
Requires: btrfs-progs
Requires: xfsprogs
Requires: sssd-client
BuildRequires: python3-devel
BuildRequires: perl
BuildArch: noarch


%description
Tools for generating appliance images on Fedora based systems, including
derived distributions such as RHEL, CentOS, and others.

This package also supports building appliance images on Mageia systems.


%prep
%autosetup -p1

%build
# Nothing to do

%install
%make_install PYTHON=python3

# Delete docs, we'll grab them later
rm -rf %{buildroot}%{_datadir}/doc/%{name}

# Delete ec2-*, as it needs a lot of work to fix
rm -rf %{buildroot}%{_bindir}/ec2*
rm -rf %{buildroot}%{_mandir}/man*/ec2*
rm -rf %{buildroot}%{python3_sitelib}/ec2convert

%files
%doc README
%doc config/fedora-aos.ks
%license COPYING
%{_mandir}/man*/*
%{_bindir}/appliance-creator
%{python3_sitelib}/appcreate/


%changelog
* Sat Nov 28 2020 ngompa <ngompa> 011.1-1.mga8
+ Revision: 1649825
- Rebase to 011.1 and drop included patches

* Sun Feb 16 2020 umeabot <umeabot> 009.0-8.mga8
+ Revision: 1531647
- Mageia 8 Mass Rebuild

* Sat Sep 14 2019 daviddavid <daviddavid> 009.0-7.mga8
+ Revision: 1440719
- rebuild for python3.8

* Fri Jan 11 2019 daviddavid <daviddavid> 009.0-6.mga7
+ Revision: 1355082
- rebuild for new Python 3.7

* Sat Nov 24 2018 ngompa <ngompa> 009.0-5.mga7
+ Revision: 1333726
- Adapt for Mageia
- Do not install ec2* stuff, as it's broken
- imported package appliance-tools

